CHECK_RABBITMQ_SERVER(1p)

NAME
check_rabbitmq_server - Nagios plugin using RabbitMQ management API to check the server resource usage (processes, memory, file descriptors, and sock descriptors)

SYNOPSIS
check_rabbitmq_server [options] -H hostname

DESCRIPTION
Use the management interface of RabbitMQ to check the resource usage of the server. This check looks at the node statistics for the rabbit node on the host and examines the erlang memory, process and file descriptor usage.

It provides performance data for each of these variables and allows for warning and criticality levels to be specified for each.

It uses Monitoring::Plugin and accepts all standard Nagios options.

OPTIONS

-h | --help
    Display help text

-v | --verbose
    Verbose output

-t | --timeout
    Set a timeout for the check in seconds

-H | --hostname | --host
    The host to connect to

--port
    The port to connect to (default: 55672)

--ssl
    Use SSL when connecting (default: false)

-w | --warning
    The warning levels, expressed as a percentage for each of memory, process, file descriptor and sockets usage. This field consists of four comma-separated integers. (default: 80,80,80,80)

-c | --critical
    The critical levels, expressed as a percentage for each of memory, process, file descriptor and sockets usage. This field consists of four comma-separated integers. (default: 90,90,90,90)

-n | --node
    The node name (default is hostname)

--username | --user
    The user to connect as (default: guest)

--pass
    The password for the user (default: guest)

EXAMPLES
The defaults all work with a standard fresh install of RabbitMQ, and all that is needed is to specify the host to connect to:

    check_rabbitmq_server -H rabbit.example.com

This returns a standard Nagios result:

    RABBITMQ_SERVER OK - Memory OK (6.19%) Process OK (0.01%)
        FD OK (2.53%) Sockets OK (0.86%) | Memory=6.19%;80;90 Process=0.01%;80;90 FD=2.53%;80;90 Sockets=0.86%;1;2

You can specify different warning and criticality levels. -w and -c both accept four comma-separated percentages which represent the thresholds for memory, process and file descriptor usage respectively. For example, to specify warnings for memory at 60%, process at 80%, file descriptors at 95%, and socket descriptors at 90%:

    check_rabbitmq_server -H rabbit.example.com  -w 60,80,95,90

ERRORS
The check tries to provide useful error messages on the status line for standard error conditions.

Otherwise it returns the HTTP Error message returned by the management interface.

EXIT STATUS
Returns zero if check is OK otherwise returns standard Nagios exit codes to signify WARNING, UNKNOWN or CRITICAL state.

SEE ALSO
See Monitoring::Plugin(3)

The RabbitMQ management plugin is described at http://www.rabbitmq.com/management.html

LICENSE
This file is part of nagios-plugins-rabbitmq.

Copyright 2010, Platform 14.

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

AUTHOR
James Casey <jamesc.000@gmail.com>